Description

I confess I have just spent an hour searching Redmine issues and Wiki to find out how to make my % Done bars reflect Issue Status

rather than manually entered % (which we normally do not use).

I felt dumb when I found it - because it is obvious when you know how (like so much of Redmine). The % settings for each status are

only visible in the UI when you enable the 'Calculate the issue done ratio with: Issue Status' option and save first.

I had been in an out of both screens numerous times, but obviously never in the right order!

Might I point out that there is a reason Apple mandated that disabled menu items remain in their normal location but greyed out

(rather than being removed from the menu which was the practice in DOS apps) so that even if unavailable users could register the

location of the menu item and would be able to find it when it was relevant and needed.

Same here - why not show the Status % values all the time? You could even add a note at the bottom "Status % values not currently

enabled in settings" if you are worried about confusing people.

This reminds me of the right click edit menu - which is great once someone demonstrates it to you, but you would never discover for

yourself...

History

#1 - 2010-10-08 09:30 - Ewan Makepeace

[Sorry wrong title - this issue got sidetracked into a general rant on visibility of this option]

#2 - 2010-10-08 10:13 - Felix Schäfer

Just to continue on your half-rant:

This reminds me of the right click edit menu - which is great once someone demonstrates it to you, but you would never discover for yourself…

 Just RTFM? If you find the docs lacking: it's a wiki, make them better.

#3 - 2010-10-08 10:21 - Felix Schäfer

Regarding your request: having a descriptive title and a short and argumented description goes a long way, no one enjoys reading tickets that sound

more like rants than an actual idea to make things better. I first thought you were having a problem somewhere else than with the visibility of features.

#4 - 2010-10-08 11:10 - Ewan Makepeace

I do not have permissions to edit the title - originally this was going to be something else, which I have filed under a separate ticket. Please feel free to

rename to something more appropriate.

Regarding right-click context menu - I have had developers using Redmine for 18 months with me, whose chins hit the floor when I did that on an over

head projector. Nobody goes looking in the documentation for features they do not know they need.

Hiding the % Done settings for users who are not using them is less clear cut, but overall I also feel that is a poor tradeoff for simplicity vs ease of

discovery.

#5 - 2010-10-08 18:24 - Felix Schäfer

- Category set to UI

Ewan Makepeace wrote:

2025-05-02 1/3

https://www.redmine.org/projects/redmine/wiki/RedmineIssueList#Bulk-editing-issues


I do not have permissions to edit the title - originally this was going to be something else, which I have filed under a separate ticket. Please feel

free to rename to something more appropriate.

 Oh, sorry for being pedantic about it then.

Regarding right-click context menu - I have had developers using Redmine for 18 months with me, whose chins hit the floor when I did that on an

over head projector. Nobody goes looking in the documentation for features they do not know they need.

Hiding the % Done settings for users who are not using them is less clear cut, but overall I also feel that is a poor tradeoff for simplicity vs ease

of discovery.

 Yes, lack of curiosity will be our downfall :-) Anyway, this had never struck me before because I've gone through the whole shebang looking for what it

could do, but I agree on principle that settings that are not available should be disabled instead of hidden. I'll try to remember it for the next dev

meeting.

#6 - 2010-10-08 18:25 - Felix Schäfer

- Subject changed from % Done for Parent Tasks to Disable not-available options in administration instead of hiding them

#7 - 2010-10-11 14:12 - Anonymous

Felix Schäfer wrote:

but I agree on principle that settings that are not available should be disabled instead of hidden. I'll try to remember it for the next dev meeting.

 I'd actually disagree and I think Apple is a particular case in point. Apple goes a long way in hiding as much as possible from the user that is not

relevant to him - and rightly so. To cite the right-click: that's actually deactivated by default until you actively look for it in the system settings and 

activate it.

Do you have a particular Apple example where things are greyed rather than omitted?

From my experience, nobody likes reading tickets. So I actually would like to be able to remove everything from the actual view that does not concern

the user to make the view as lean as possible. It already happens quite well in Redmine (for example, I don't see time logging when I don't have

access to it from my role etc).

But I am quite sure there's many varying opinions on the matter :))

#8 - 2010-10-12 07:41 - Ewan Makepeace

- File menu.jpg added

Do you have a particular Apple example where things are greyed rather than omitted?

 If you read my original issue, you will see I mentioned Apple only in terms of menu handling - and indeed what they started is now the standard so

that you will see the same behaviour on Windows, Linux and Mac - unavailable menu items are greyed out but not hidden:

 menu.jpg 

This is so universal now that we don't even think about it, but in previous UI designs it tended to be the case that only available menu items were

shown in a menu. By keeping menus consistent in contents and greying out unavailable options you show people where things are everytime they

use another item, and hopefully they remember where to look when they need a new feature.

It comes down to minimimising complexity (hide all unused options) vs consistency and ease of discovery (show all options but grey those

unavailable) I think?

#9 - 2010-10-12 09:25 - Felix Schäfer

Jan Wedekind wrote:

(for example, I don't see time logging when I don't have access to it from my role etc).

 Ah, I think we're talking about 2 different things here. Let's put the administrator (and in some cases the manager role) aside, and consider the time

logging function. If that is deactivated, it should not be part of the UI for that project, we're on the same line here.

I think the point of the OP, or at least the one I am seeing, is that you don't even see what you are missing even if you are able to activate it. Consider

the "% done" column in the ticket status view, it isn't there at all until you go activate it in Administration > Settings > Tickets, which you could activate

if you are an administrator.

I understand the line between both situations is a fine one and maybe not an easy one to draw upfront, i.e. that might need a decision in some
situations rather than a rule. As I said, I hope there'll be someone from the UI fraction at the dev meeting next week and that we can discuss this a

little further.

#10 - 2010-10-25 18:10 - Anonymous

Ewan Makepeace wrote:

This is so universal now that we don't even think about it, but in previous UI designs it tended to be the case that only available menu items were

shown in a menu. By keeping menus consistent in contents and greying out unavailable options you show people where things are everytime

they use another item, and hopefully they remember where to look when they need a new feature.

It comes down to minimimising complexity (hide all unused options) vs consistency and ease of discovery (show all options but grey those

unavailable) I think?

 Yes, thin line, as Felix pointed out. Apple has just done something different for Services in Apps in Snow Leopard. Only those services that are

applicable to the item appear in the context menu (or the menu bar).

Probably will be case-by-case...

#11 - 2011-04-29 02:29 - Ewan Makepeace

Remember the good old days of playing text based adventure games? Those puzzles where you had to go into one room and pull on a lever (but

nothing happened) and into a different room and fill a bowl with water (and nothing happened) but then in a third room a secret door would open...?

We would get blocked for weeks at places like that (and still thought it was fun?) - I guess I found this instance a bit like one of those puzzles, in that I

could go into either of the two settings pages and change things and my parent task would not change - only by going into the first page to enable the

mode, then into the second page to set the percentages, would I get my reward (% completed updated on a parent task). Completely logical to the

developer but hard to discover for the user. That was my point - I apologise if my frustration made me sound adversarial as it was not my intention. I

design software for a living and sadly have often created similar traps for my users, inadvertently, and it has usually taken a user to show me what I

have done.

#12 - 2013-01-15 10:55 - Daniel Felix

- Status changed from New to Needs feedback

Well currently the menu items which are disabled will be displayed greyed out. This seems to be resolved.

Anyone who think, there's something to do with this request? If not, I'll close this in a week.

#13 - 2013-09-01 22:47 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closing this because nobody gave feedback.

Files

menu.jpg 33.5 KB 2010-10-12 Ewan Makepeace

Powered by TCPDF (www.tcpdf.org)

2025-05-02 3/3

http://www.tcpdf.org

